## org.omg.CORBA
Class COMM_FAILURE

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.COMM_FAILURE

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class COMM_FAILURE
extends SystemException

This exception is raised if communication is lost while an operation is in progress, after the request was sent by the client, but before the reply from the server has been returned to the client.

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`COMM_FAILURE()`
`COMM_FAILURE(int minor, CompletionStatus completed)`
`COMM_FAILURE(java.lang.String orb_reason)`
`COMM_FAILURE(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### COMM_FAILURE

    public COMM_FAILURE()

### COMM_FAILURE

    public COMM_FAILURE(java.lang.String orb_reason)

### COMM_FAILURE

    public COMM_FAILURE(int minor,
                        CompletionStatus completed)

### COMM_FAILURE

    public COMM_FAILURE(java.lang.String orb_reason,
                        int minor,
                        CompletionStatus completed)